Unit dirdlg;

{---------------------------------------------------}
{                                                   }
{ This code was written by : Stephan Greiwe         }
{                                                   }
{ This code is copyright 1997 by                    }
{       Stephan Greiwe 1997                         }
{       eMail : greiwe@msn.com                      }
{---------------------------------------------------}

interface

uses
  windows, sysutils, classes, Forms, Dialogs, StdCtrls, Buttons;

type
  TDirectoryDialog = class(TComponent)
  private
    { Private Declarations }
    FCaption: string;
    FPath: string;
    FWindowstate: TWindowstate;
  protected
    { Protected Declarations }
  public
    { Public Declarations }
    constructor Create(AOwner: TComponent); override;
    destructor Destroy; override;
    function Execute:TModalresult;
  published
    property Caption: string read FCaption write FCaption;
    property Path: string read FPath write FPath;
    property Windowstate: TWindowstate read FWindowstate write FWindowstate Default wsNormal;
  end;

procedure Register;

implementation

uses  DirForm;

{--------------------------------------}
{ DirectoryDialog.Create               }
{--------------------------------------}
constructor TDirectoryDialog.Create(AOwner: TComponent);
begin
  inherited Create(AOwner);
end;

function TDirectoryDialog.Execute:TModalresult;
var DForm : TFDirForm;
begin
  DForm := TFDirForm.create(Application);
  Dform.caption := Caption;
  DForm.windowstate := Windowstate;
  DForm.setpath(Path);
  DForm.Showmodal;
  if DForm.Modalresult = mrOK then Path := DForm.getpath;
  DForm.Free;
  result := DForm.Modalresult;
end;


{--------------------------------------}
{ DirectoryDialog.Destroy              }
{--------------------------------------}
destructor TDirectoryDialog.Destroy;
begin
  inherited Destroy;
end;

{--------------------------------------}
{ Register                             }
{--------------------------------------}
procedure Register;
begin
  RegisterComponents('Dialoge', [TDirectoryDialog]);
end;

end.
